.main-page{
    display: flex;
    justify-content: flex-end;
    overflow-x: hidden;
    position: relative;
}
.main-page h4{
    color: #ccc;
}
.main-page_hall{
    display: inline-block;
    padding: 15px 10px;
    transition: all .4s;
    cursor: pointer;    
}
.main-page_hall--red{
    color: #b71c1c;
}
.main-page_hall--red.active, .main-page_hall--red:hover{
    color: #fff;
    background-color: #b71c1c;
}
.main-page_hall--blue{
    color: #0062ff;
}
.main-page_hall--blue.active, .main-page_hall--blue:hover{
    color: #fff;
    background-color: #0062ff;
}
.main-page_hall--green{
    color: #2e7d32;
}
.main-page_hall--green.active, .main-page_hall--green:hover{
    color: #fff;
    background-color: #2e7d32;
}
.main-page.show-basket .main-page_wrap-basket{
    left: 0;
}
.main-page_wrap-basket{
    display: flex;
    align-items: stretch;
    width: 300px;
    min-height: calc(100vh - 100px);
    position: absolute;
    top: 0;
    left: -300px;
    transition: all .4s;
}
.main-page.show-basket .main-page_wrap-hall{
    width: calc(100% - 300px);
}
.main-page_wrap-hall{
    width: 100%;
    text-align: center;
    transition: all .4s;
}
